OpenNMS API 1.2.9

## org.opennms.netmgt.config
Class SnmpPeerFactory.SnmpEventInfo

    java.lang.Object
      org.opennms.netmgt.config.SnmpPeerFactory.SnmpEventInfo

Enclosing class:
  SnmpPeerFactory

public class SnmpPeerFactory.SnmpEventInfo
extends java.lang.Object

Field Summary
`private java.lang.String` `m_communityString`
`private java.lang.String` `m_firstIPAddress`
`private java.lang.String` `m_lastIPAddress`
`private int` `m_port`
`private int` `m_retryCount`
`private int` `m_timeout`
`private java.lang.String` `m_version`

Constructor Summary
`SnmpPeerFactory.SnmpEventInfo()`

Method Summary
`Definition` `createDef()`
`java.lang.String` `getCommunityString()`
`java.lang.String` `getFirstIPAddress()`
`java.lang.String` `getLastIPAddress()`
`int` `getPort()`
`int` `getRetryCount()`
`int` `getTimeout()`
`java.lang.String` `getVersion()`
`void` `setCommunityString(java.lang.String communityString)`
`void` `setFirstIPAddress(java.lang.String firstIPAddress)`
`void` `setLastIPAddress(java.lang.String lastIPAddress)`
`void` `setPort(int port)`
`void` `setRetryCount(int retryCount)`
`void` `setTimeout(int timeout)`
`void` `setVersion(java.lang.String version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_firstIPAddress

    private java.lang.String m_firstIPAddress

### m_lastIPAddress

    private java.lang.String m_lastIPAddress

### m_communityString

    private java.lang.String m_communityString

### m_timeout

    private int m_timeout

### m_retryCount

    private int m_retryCount

### m_version

    private java.lang.String m_version

### m_port

    private int m_port

Constructor Detail

### SnmpPeerFactory.SnmpEventInfo

    public SnmpPeerFactory.SnmpEventInfo()

Method Detail

### getCommunityString

    public java.lang.String getCommunityString()

### setCommunityString

    public void setCommunityString(java.lang.String communityString)

### getFirstIPAddress

    public java.lang.String getFirstIPAddress()

### setFirstIPAddress

    public void setFirstIPAddress(java.lang.String firstIPAddress)

### getLastIPAddress

    public java.lang.String getLastIPAddress()

### setLastIPAddress

    public void setLastIPAddress(java.lang.String lastIPAddress)

### getRetryCount

    public int getRetryCount()

### setRetryCount

    public void setRetryCount(int retryCount)

### getTimeout

    public int getTimeout()

### setTimeout

    public void setTimeout(int timeout)

### getVersion

    public java.lang.String getVersion()

### setVersion

    public void setVersion(java.lang.String version)

### getPort

    public int getPort()

### setPort

    public void setPort(int port)

### createDef

    public Definition createDef()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.